<ng-container *ngIf="{
          categories: playerCategories$ | async ,
          clubs: clubs$ | async,
          screenSize: screenSize$ | async } as vm">
  <app-page-form>
    <ng-container ngProjectAs="[page-form-content]">
      <h1>
        {{ 'admin.player.edit.seo.' + mode.toString().toLocaleLowerCase() + '.title' | translate }}
      </h1>
      <p>
        {{ 'admin.player.edit.seo.' + mode.toString().toLocaleLowerCase() + '.description' | translate }}
      </p>
      <form [formGroup]="formGroup"
            #form="ngForm" (ngSubmit)="formGroup.valid && save()">
        <mat-form-field>
          <mat-label>
            {{ 'admin.player.edit.form.firstName' | translate }}
          </mat-label>
          <input matInput name="firstName" formControlName="firstName"/>
          <mat-error *ngIf="formGroup.controls.firstName.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.player.edit.form.lastName' | translate }}
          </mat-label>
          <input matInput name="lastName" formControlName="lastName"/>
          <mat-error *ngIf="formGroup.controls.lastName.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.player.edit.form.code' | translate }}
          </mat-label>
          <input matInput type="number"
                 name="code" formControlName="code"/>
          <mat-error *ngIf="formGroup.controls.code.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.player.edit.form.category' | translate }}
          </mat-label>
          <mat-select formControlName="category">
            <mat-option *ngFor="let category of vm.categories"
                        [value]="category">
              {{ category | categoryLabel }}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="formGroup.controls.category.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.player.edit.form.club' | translate }}
          </mat-label>
          <app-async-select [loading]="loading.club"
                            [control]="formGroup.controls.club">
            <mat-select formControlName="club" [compareWith]="compareBySlug">
              <mat-select-trigger class="team">
                <figure>
                  <img class="lazy-load"
                       *ngIf="formGroup.value.club && ('common.team.defaultPicture.url' | translate)"
                       [lazyLoad]="formGroup.value.club?.logoUrl || ('common.team.defaultPicture.url' | translate)"
                       [errorImage]="'common.team.defaultPicture.url' | translate"
                       [alt]="formGroup.value.club?.name" />
                  <figcaption>
                    {{ formGroup.value.club | teamName:vm.screenSize }}
                  </figcaption>
                </figure>
              </mat-select-trigger>
              <mat-option *ngFor="let club of vm.clubs?.items; trackBy: trackBySlug"
                          class="team"
                          [value]="club">
                <figure *ngIf="'common.team.defaultPicture.url' | translate">
                  <img class="lazy-load"
                       [lazyLoad]="club.logoUrl || ('common.team.defaultPicture.url' | translate)"
                       [errorImage]="'common.team.defaultPicture.url' | translate"
                       [alt]="club.name" />
                  <figcaption>
                    {{ club | teamName:vm.screenSize }}
                  </figcaption>
                </figure>
              </mat-option>
            </mat-select>
          </app-async-select>
          <mat-error *ngIf="formGroup.controls.club.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>
      </form>
    </ng-container>
    <ng-container ngProjectAs="[page-form-footer]">
      <a mat-stroked-button color="accent"
         [routerLink]="previousRouteCommands?.commands"
         [queryParams]="previousRouteCommands?.queryParams">
        <mat-icon>
          cancel
        </mat-icon>
        {{ 'admin.common.action.cancel' | translate }}
      </a>
      <app-async-button [loading]="loading.save">
        <button mat-flat-button color="primary" (click)="form.onSubmit($event)">
          <mat-icon>
            save
          </mat-icon>
          {{ 'admin.common.action.save' | translate }}
        </button>
      </app-async-button>
    </ng-container>
  </app-page-form>
</ng-container>
